# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2016-07-18 20:46
from __future__ import unicode_literals

from django.db import migrations


def fill_servers(apps, schema_editor):
    # Get the models
    server_model = apps.get_model('dhcpkit_looking_glass', 'Server')
    transaction_model = apps.get_model('dhcpkit_looking_glass', 'Transaction')

    # Create a dummy server if it doesn't already exist
    server, created = server_model.objects.get_or_create(name="Unknown")

    # Link to the dummy server in all transactions that don't have one
    for transaction in transaction_model.objects.filter(server=None):
        transaction.server = server
        transaction.save()


def fill_clients(apps, schema_editor):
    # Get the models
    client_model = apps.get_model('dhcpkit_looking_glass', 'Client')
    transaction_model = apps.get_model('dhcpkit_looking_glass', 'Transaction')

    # Link all transactions to a client, creating it on the fly if it doesn't already exist
    for transaction in transaction_model.objects.filter(client=None):
        client, created = client_model.objects.get_or_create(duid=transaction.duid,
                                                             interface_id=transaction.interface_id,
                                                             remote_id=transaction.remote_id)
        transaction.client = client
        transaction.save()


class Migration(migrations.Migration):
    dependencies = [
        ('dhcpkit_looking_glass', '0004_add_client_server'),
    ]

    operations = [
        migrations.RunPython(fill_servers),
        migrations.RunPython(fill_clients),
    ]
